GC::ProfStats - Crystal 1.11.2

# struct GC::ProfStats

- GC::ProfStats
- Struct
- Value
- Object

##
Defined in:

gc.cr

##
Constructors

- .new(heap_size : UInt64, free_bytes : UInt64, unmapped_bytes : UInt64, bytes_since_gc : UInt64, bytes_before_gc : UInt64, non_gc_bytes : UInt64, gc_no : UInt64, markers_m1 : UInt64, bytes_reclaimed_since_gc : UInt64, reclaimed_bytes_before_gc : UInt64, expl_freed_bytes_since_gc : UInt64, obtained_from_os_bytes : UInt64)

##
Instance Method Summary

- #bytes_before_gc : UInt64
- #bytes_reclaimed_since_gc : UInt64
- #bytes_since_gc : UInt64
- #clone
- #copy_with(heap_size _heap_size = @heap_size, free_bytes _free_bytes = @free_bytes, unmapped_bytes _unmapped_bytes = @unmapped_bytes, bytes_since_gc _bytes_since_gc = @bytes_since_gc, bytes_before_gc _bytes_before_gc = @bytes_before_gc, non_gc_bytes _non_gc_bytes = @non_gc_bytes, gc_no _gc_no = @gc_no, markers_m1 _markers_m1 = @markers_m1, bytes_reclaimed_since_gc _bytes_reclaimed_since_gc = @bytes_reclaimed_since_gc, reclaimed_bytes_before_gc _reclaimed_bytes_before_gc = @reclaimed_bytes_before_gc, expl_freed_bytes_since_gc _expl_freed_bytes_since_gc = @expl_freed_bytes_since_gc, obtained_from_os_bytes _obtained_from_os_bytes = @obtained_from_os_bytes)
- #expl_freed_bytes_since_gc : UInt64
- #free_bytes : UInt64
- #gc_no : UInt64
- #heap_size : UInt64
- #markers_m1 : UInt64
- #non_gc_bytes : UInt64
- #obtained_from_os_bytes : UInt64
- #reclaimed_bytes_before_gc : UInt64
- #unmapped_bytes : UInt64

### Instance methods inherited from struct `Struct`

==(other) : Bool ==, hash(hasher) hash, inspect(io : IO) : Nil inspect, pretty_print(pp) : Nil pretty_print, to_s(io : IO) : Nil to_s

### Instance methods inherited from struct `Value`

==(other : JSON::Any)
==(other : YAML::Any)
==(other) ==, dup dup

### Instance methods inherited from class `Object`

! : Bool !, !=(other) !=, !~(other) !~, ==(other) ==, ===(other : JSON::Any)
===(other : YAML::Any)
===(other) ===, =~(other) =~, as(type : Class) as, as?(type : Class) as?, class class, dup dup, hash(hasher)
hash hash, in?(collection : Object) : Bool
in?(*values : Object) : Bool in?, inspect(io : IO) : Nil
inspect : String inspect, is_a?(type : Class) : Bool is_a?, itself itself, nil? : Bool nil?, not_nil!(message)
not_nil! not_nil!, pretty_inspect(width = 79, newline = "\n", indent = 0) : String pretty_inspect, pretty_print(pp : PrettyPrint) : Nil pretty_print, responds_to?(name : Symbol) : Bool responds_to?, tap(&) tap, to_json(io : IO) : Nil
to_json : String to_json, to_pretty_json(indent : String = " ") : String
to_pretty_json(io : IO, indent : String = " ") : Nil to_pretty_json, to_s(io : IO) : Nil
to_s : String to_s, to_yaml(io : IO) : Nil
to_yaml : String to_yaml, try(&) try, unsafe_as(type : T.class) forall T unsafe_as

### Class methods inherited from class `Object`

from_json(string_or_io, root : String)
from_json(string_or_io) from_json, from_yaml(string_or_io : String | IO) from_yaml

### Macros inherited from class `Object`

class_getter(*names, &block) class_getter, class_getter!(*names) class_getter!, class_getter?(*names, &block) class_getter?, class_property(*names, &block) class_property, class_property!(*names) class_property!, class_property?(*names, &block) class_property?, class_setter(*names) class_setter, def_clone def_clone, def_equals(*fields) def_equals, def_equals_and_hash(*fields) def_equals_and_hash, def_hash(*fields) def_hash, delegate(*methods, to object) delegate, forward_missing_to(delegate) forward_missing_to, getter(*names, &block) getter, getter!(*names) getter!, getter?(*names, &block) getter?, property(*names, &block) property, property!(*names) property!, property?(*names, &block) property?, setter(*names) setter

##
Constructor Detail

def self.new(heap_size : UInt64, free_bytes : UInt64, unmapped_bytes : UInt64, bytes_since_gc : UInt64, bytes_before_gc : UInt64, non_gc_bytes : UInt64, gc_no : UInt64, markers_m1 : UInt64, bytes_reclaimed_since_gc : UInt64, reclaimed_bytes_before_gc : UInt64, expl_freed_bytes_since_gc : UInt64, obtained_from_os_bytes : UInt64) #

##
Instance Method Detail

def bytes_before_gc : UInt64 #
def bytes_reclaimed_since_gc : UInt64 #
def bytes_since_gc : UInt64 #
def clone #
def copy_with(heap_size _heap_size = @heap_size, free_bytes _free_bytes = @free_bytes, unmapped_bytes _unmapped_bytes = @unmapped_bytes, bytes_since_gc _bytes_since_gc = @bytes_since_gc, bytes_before_gc _bytes_before_gc = @bytes_before_gc, non_gc_bytes _non_gc_bytes = @non_gc_bytes, gc_no _gc_no = @gc_no, markers_m1 _markers_m1 = @markers_m1, bytes_reclaimed_since_gc _bytes_reclaimed_since_gc = @bytes_reclaimed_since_gc, reclaimed_bytes_before_gc _reclaimed_bytes_before_gc = @reclaimed_bytes_before_gc, expl_freed_bytes_since_gc _expl_freed_bytes_since_gc = @expl_freed_bytes_since_gc, obtained_from_os_bytes _obtained_from_os_bytes = @obtained_from_os_bytes) #
def expl_freed_bytes_since_gc : UInt64 #
def free_bytes : UInt64 #
def gc_no : UInt64 #
def heap_size : UInt64 #
def markers_m1 : UInt64 #
def non_gc_bytes : UInt64 #
def obtained_from_os_bytes : UInt64 #
def reclaimed_bytes_before_gc : UInt64 #
def unmapped_bytes : UInt64 #